Lists all check results
Lists the full, raw check results for a specific check. We keep raw results for 30 days. After 30 days they are erased. However, we keep the rolled up results for an indefinite period.
You can filter by check type and result type to narrow down the list. Use the to and from parameters to specify a date range (UNIX timestamp in seconds). Depending on the check type, some fields might be null.
This endpoint will return data within a 6-hour timeframe. If the from and to params are set, they must be at most six hours apart. If none are set, we will consider the to param to be now and the from param to be six hours earlier. If only the to param is set we will set from to be six hours earlier. On the contrary, if only the from param is set we will consider the to param to be six hours later.
Rate-limiting is applied to this endpoint, you can send 60 requests / 60 seconds at most.
Use GET /v2/check-results/{checkId} for new integrations.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Query Parameters
Provide a data center location, e.g. "eu-west-1" to filter by location
us-east-1, us-east-2, us-west-1, us-west-2, ca-central-1, sa-east-1, eu-west-1, eu-central-1, eu-west-2, eu-west-3, eu-north-1, eu-south-1, me-south-1, ap-southeast-1, ap-northeast-1, ap-east-1, ap-southeast-2, ap-southeast-3, ap-northeast-2, ap-northeast-3, ap-south-1, af-south-1 Response
Successful